org.deidentifier.arx.gui.model

## Class ModelImplicitCriterion

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelCriterion
  - - org.deidentifier.arx.gui.model.ModelImplicitCriterion

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ModelDifferentialPrivacyCriterion, ModelDPresenceCriterion, ModelKAnonymityCriterion, ModelKMapCriterion, ModelProfitabilityCriterion, ModelRiskBasedCriterion

    public abstract class ModelImplicitCriterion
    extends ModelCriterion

This class implements a (marker) base-class for implicit criteria.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ModelImplicitCriterion()`

### Method Summary

### Methods inherited from class org.deidentifier.arx.gui.model.ModelCriterion

`clone, getCriterion, getLabel, isEnabled, parse, setEnabled, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModelImplicitCriterion

    public ModelImplicitCriterion()